// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface ESSPointOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.ESSPoint)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC blackStartEnabled = 1;</code>
   * @return Whether the blackStartEnabled field is set.
   */
  boolean hasBlackStartEnabled();
  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC blackStartEnabled = 1;</code>
   * @return The blackStartEnabled.
   */
  openfmb.commonmodule.ControlSPC getBlackStartEnabled();
  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC blackStartEnabled = 1;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getBlackStartEnabledOrBuilder();

  /**
   * <pre>
   * ESS function parameter
   * </pre>
   *
   * <code>.essmodule.ESSFunction function = 3;</code>
   * @return Whether the function field is set.
   */
  boolean hasFunction();
  /**
   * <pre>
   * ESS function parameter
   * </pre>
   *
   * <code>.essmodule.ESSFunction function = 3;</code>
   * @return The function.
   */
  openfmb.essmodule.ESSFunction getFunction();
  /**
   * <pre>
   * ESS function parameter
   * </pre>
   *
   * <code>.essmodule.ESSFunction function = 3;</code>
   */
  openfmb.essmodule.ESSFunctionOrBuilder getFunctionOrBuilder();

  /**
   * <pre>
   * Grid connect mode
   * </pre>
   *
   * <code>.commonmodule.ENG_GridConnectModeKind mode = 4;</code>
   * @return Whether the mode field is set.
   */
  boolean hasMode();
  /**
   * <pre>
   * Grid connect mode
   * </pre>
   *
   * <code>.commonmodule.ENG_GridConnectModeKind mode = 4;</code>
   * @return The mode.
   */
  openfmb.commonmodule.ENG_GridConnectModeKind getMode();
  /**
   * <pre>
   * Grid connect mode
   * </pre>
   *
   * <code>.commonmodule.ENG_GridConnectModeKind mode = 4;</code>
   */
  openfmb.commonmodule.ENG_GridConnectModeKindOrBuilder getModeOrBuilder();

  /**
   * <pre>
   * Ramp rates
   * </pre>
   *
   * <code>.commonmodule.RampRate rampRates = 7;</code>
   * @return Whether the rampRates field is set.
   */
  boolean hasRampRates();
  /**
   * <pre>
   * Ramp rates
   * </pre>
   *
   * <code>.commonmodule.RampRate rampRates = 7;</code>
   * @return The rampRates.
   */
  openfmb.commonmodule.RampRate getRampRates();
  /**
   * <pre>
   * Ramp rates
   * </pre>
   *
   * <code>.commonmodule.RampRate rampRates = 7;</code>
   */
  openfmb.commonmodule.RampRateOrBuilder getRampRatesOrBuilder();

  /**
   * <pre>
   * Reset device
   * </pre>
   *
   * <code>.commonmodule.ControlSPC reset = 10;</code>
   * @return Whether the reset field is set.
   */
  boolean hasReset();
  /**
   * <pre>
   * Reset device
   * </pre>
   *
   * <code>.commonmodule.ControlSPC reset = 10;</code>
   * @return The reset.
   */
  openfmb.commonmodule.ControlSPC getReset();
  /**
   * <pre>
   * Reset device
   * </pre>
   *
   * <code>.commonmodule.ControlSPC reset = 10;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getResetOrBuilder();

  /**
   * <pre>
   * ESS state
   * </pre>
   *
   * <code>.commonmodule.Optional_StateKind state = 11;</code>
   * @return Whether the state field is set.
   */
  boolean hasState();
  /**
   * <pre>
   * ESS state
   * </pre>
   *
   * <code>.commonmodule.Optional_StateKind state = 11;</code>
   * @return The state.
   */
  openfmb.commonmodule.Optional_StateKind getState();
  /**
   * <pre>
   * ESS state
   * </pre>
   *
   * <code>.commonmodule.Optional_StateKind state = 11;</code>
   */
  openfmb.commonmodule.Optional_StateKindOrBuilder getStateOrBuilder();

  /**
   * <pre>
   * Transition to island on grid loss enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC transToIslndOnGridLossEnabled = 13;</code>
   * @return Whether the transToIslndOnGridLossEnabled field is set.
   */
  boolean hasTransToIslndOnGridLossEnabled();
  /**
   * <pre>
   * Transition to island on grid loss enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC transToIslndOnGridLossEnabled = 13;</code>
   * @return The transToIslndOnGridLossEnabled.
   */
  openfmb.commonmodule.ControlSPC getTransToIslndOnGridLossEnabled();
  /**
   * <pre>
   * Transition to island on grid loss enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC transToIslndOnGridLossEnabled = 13;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getTransToIslndOnGridLossEnabledOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.EnterServiceAPC enterServiceOperation = 16;</code>
   * @return Whether the enterServiceOperation field is set.
   */
  boolean hasEnterServiceOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.EnterServiceAPC enterServiceOperation = 16;</code>
   * @return The enterServiceOperation.
   */
  openfmb.commonmodule.EnterServiceAPC getEnterServiceOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.EnterServiceAPC enterServiceOperation = 16;</code>
   */
  openfmb.commonmodule.EnterServiceAPCOrBuilder getEnterServiceOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.HzWAPC hzWOperation = 17;</code>
   * @return Whether the hzWOperation field is set.
   */
  boolean hasHzWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.HzWAPC hzWOperation = 17;</code>
   * @return The hzWOperation.
   */
  openfmb.commonmodule.HzWAPC getHzWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.HzWAPC hzWOperation = 17;</code>
   */
  openfmb.commonmodule.HzWAPCOrBuilder getHzWOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.LimitWAPC limitWOperation = 18;</code>
   * @return Whether the limitWOperation field is set.
   */
  boolean hasLimitWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.LimitWAPC limitWOperation = 18;</code>
   * @return The limitWOperation.
   */
  openfmb.commonmodule.LimitWAPC getLimitWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.LimitWAPC limitWOperation = 18;</code>
   */
  openfmb.commonmodule.LimitWAPCOrBuilder getLimitWOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.PFSPC pFOperation = 19;</code>
   * @return Whether the pFOperation field is set.
   */
  boolean hasPFOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.PFSPC pFOperation = 19;</code>
   * @return The pFOperation.
   */
  openfmb.commonmodule.PFSPC getPFOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.PFSPC pFOperation = 19;</code>
   */
  openfmb.commonmodule.PFSPCOrBuilder getPFOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.TmHzCSG tmHzTripOperation = 20;</code>
   * @return Whether the tmHzTripOperation field is set.
   */
  boolean hasTmHzTripOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.TmHzCSG tmHzTripOperation = 20;</code>
   * @return The tmHzTripOperation.
   */
  openfmb.commonmodule.TmHzCSG getTmHzTripOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.TmHzCSG tmHzTripOperation = 20;</code>
   */
  openfmb.commonmodule.TmHzCSGOrBuilder getTmHzTripOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.TmVoltCSG tmVoltTripOperation = 21;</code>
   * @return Whether the tmVoltTripOperation field is set.
   */
  boolean hasTmVoltTripOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.TmVoltCSG tmVoltTripOperation = 21;</code>
   * @return The tmVoltTripOperation.
   */
  openfmb.commonmodule.TmVoltCSG getTmVoltTripOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.TmVoltCSG tmVoltTripOperation = 21;</code>
   */
  openfmb.commonmodule.TmVoltCSGOrBuilder getTmVoltTripOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VarSPC vArOperation = 22;</code>
   * @return Whether the vArOperation field is set.
   */
  boolean hasVArOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VarSPC vArOperation = 22;</code>
   * @return The vArOperation.
   */
  openfmb.commonmodule.VarSPC getVArOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VarSPC vArOperation = 22;</code>
   */
  openfmb.commonmodule.VarSPCOrBuilder getVArOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VoltVarCSG voltVarOperation = 23;</code>
   * @return Whether the voltVarOperation field is set.
   */
  boolean hasVoltVarOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VoltVarCSG voltVarOperation = 23;</code>
   * @return The voltVarOperation.
   */
  openfmb.commonmodule.VoltVarCSG getVoltVarOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VoltVarCSG voltVarOperation = 23;</code>
   */
  openfmb.commonmodule.VoltVarCSGOrBuilder getVoltVarOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VoltWCSG voltWOperation = 24;</code>
   * @return Whether the voltWOperation field is set.
   */
  boolean hasVoltWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VoltWCSG voltWOperation = 24;</code>
   * @return The voltWOperation.
   */
  openfmb.commonmodule.VoltWCSG getVoltWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.VoltWCSG voltWOperation = 24;</code>
   */
  openfmb.commonmodule.VoltWCSGOrBuilder getVoltWOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.WVarCSG wVarOperation = 25;</code>
   * @return Whether the wVarOperation field is set.
   */
  boolean hasWVarOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.WVarCSG wVarOperation = 25;</code>
   * @return The wVarOperation.
   */
  openfmb.commonmodule.WVarCSG getWVarOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.WVarCSG wVarOperation = 25;</code>
   */
  openfmb.commonmodule.WVarCSGOrBuilder getWVarOperationOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.WSPC wOperation = 26;</code>
   * @return Whether the wOperation field is set.
   */
  boolean hasWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.WSPC wOperation = 26;</code>
   * @return The wOperation.
   */
  openfmb.commonmodule.WSPC getWOperation();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.WSPC wOperation = 26;</code>
   */
  openfmb.commonmodule.WSPCOrBuilder getWOperationOrBuilder();
}
